Bug 64538 - Web based update process does not appear to log errors
Web based update process does not appear to log errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-07 13:37 EDT by Michael Waite
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 15:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Waite 2002-05-07 13:37:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020308

Description of problem:
 I have Evolution installed from the Ximian site 1.0.3.99-snap.ximian.20020321
The problem is that there does not appear to be any informative error logging
when running the Red Hat Network web based too to update my system. Only when
running "up2date -u" do I get the error. There does not appear to be any useful
info in /var/log/up2date

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run up2date -u and you will see it fail due to dependancy issues with Ximian
Evolution:  1.0.3.99-snap.ximian.20020321
2.
3.
	

Actual Results:   up2date -u

Retrieving list of all available packages...
########################################

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
There was a package dependency problem.  The message was:

Unresolvable chain of dependencies:
evolution  1.0.3.99-snap.ximian.20020321 requires libpisock.so.4
gnome-pilot  0.1.64-ximian.1             requires libpisock.so.4

Additional info:
Comment 1 Greg DeKoenigsberg 2002-05-07 15:56:13 EDT
Is this kind of information being captured by the client and not passed along by
server code, or not being captured by the client?
Comment 2 Michael Waite 2002-05-08 09:48:44 EDT
It does not appear to be captured by the client. Here is a snippet from
/var/log/up2date
you will see that is is tryi8ng to resolve dependancies for libpisock.so.4 and
then does not return any errors.

[Mon May  6 17:37:30 2002] up2date successfully retrieved authentication token
from up2date server
[Mon May  6 17:37:30 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:37:30 2002] up2date getAvailablePackageList from network
[Mon May  6 17:37:30 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:37:30 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date updating login info
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date logging into up2date server
[Mon May  6 17:38:13 2002] up2date successfully retrieved authentication token
from up2date server
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date getAvailablePackageList from network
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:38:13 2002] up2date solving dep for: ['libpisock.so.4',
'libpisock.so.4']
[Mon May  6 17:40:10 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:40:10 2002] up2date updating login info
[Mon May  6 17:40:10 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:40:10 2002] up2date logging into up2date server
[Mon May  6 17:40:10 2002] up2date successfully retrieved authentication token
from up2date server
[Mon May  6 17:40:10 2002] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon May  6 17:40:10 2002] up2date getAvailablePackageList from network
Comment 3 Adrian Likins 2002-05-08 18:30:31 EDT
Can you try this with the version of the client in 7.3 or the
current 7.2 errata? 

Those versions should be much better about reporting errors.
Comment 4 Michael Waite 2002-05-09 10:13:45 EDT
I am running this on my laptop which is my primary workstation.
I can't udgrade it to 7.3 right now as I have it exactly the way I want it.
Unless you think that a 7.3 "upgrade" will work. Generally I shy away from doing
that.
Comment 5 Adrian Likins 2002-05-15 15:40:36 EDT
what version of the client are you using? the 
current erratad version for up2date should report this
info as well.
Comment 6 Josef Komenda 2002-11-12 14:50:10 EST
No followup for 6 months, closing.

Note You need to log in before you can comment on or make changes to this bug.